Lista consentimentos de um item
curl --request GET \
--url https://api.malvo.io/consents \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/consents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/consents"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/consents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"total": 1,
"totalPages": 1,
"page": 1,
"results": [
{
"id": "c1d2e3f4-0000-4abc-9def-111213141516",
"itemId": "a8f4f3e1-7b2c-4d4e-8f9a-0b1c2d3e4f5a",
"status": "AUTHORISED",
"products": [
"ACCOUNTS",
"TRANSACTIONS"
],
"openFinancePermissionsGranted": [
"ACCOUNTS",
"BALANCES",
"TRANSACTIONS"
],
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:05:00.000Z",
"expiresAt": "2025-06-30T00:00:00.000Z",
"revokedAt": null
}
]
}{
"code": 401,
"message": "Missing or invalid authorization token",
"codeDescription": "CLIENT_KEYS_UNAUTHORIZED"
}{
"code": 500,
"message": "Internal server error",
"codeDescription": "INTERNAL_SERVER_ERROR"
}Consents
Lista consentimentos de um item
Retorna o envelope paginado de consentimentos vinculados ao itemId informado.
GET
/
consents
Lista consentimentos de um item
Authorizations
Query Parameters
Id (UUID) do item dono dos consentimentos. Obrigatório.
Response
Envelope paginado de consentimentos.